TIFFWRITETILE(3tiff)

NAME
TIFFWriteTile - encode and write a tile of data to an open TIFF file

SYNOPSIS

#include <tiffio.h>

TIFFWriteTile - encode and write a tile of data to an open TIFF file

tsize_t TIFFWriteTile(TIFF *tif, tdata_t buf, uint32_t x, uint32_t y, uint32_t z, tsample_t sample)

DESCRIPTION

Write the data for the tile containing the specified coordinates. The data in buf are (potentially) compressed, and written to the indicated file, normally being appended to the end of the file. The buffer must be contain an entire tile of data. Applications should call the routine TIFFTileSize() to find out the size (in bytes) of a tile buffer. The x and y parameters are always used by TIFFWriteTile(). The z parameter is used if the image is deeper than 1 slice (ImageDepth > 1). The sample parameter is used only if data are organized in separate planes (PlanarConfiguration = 2).

RETURN VALUES

TIFFWriteTile() returns -1 if it detects an error; otherwise the number of bytes in the tile is returned.

DIAGNOSTICS

All error messages are directed to the TIFFErrorExtR() routine.

SEE ALSO

TIFFtile (3tiff), TIFFOpen (3tiff), TIFFReadTile (3tiff), TIFFWriteScanline (3tiff), TIFFWriteEncodedTile (3tiff), TIFFWriteRawTile (3tiff), libtiff (3tiff)

AUTHOR
LibTIFF contributors

COPYRIGHT
1988-2022, LibTIFF contributors